--
--	SearchMod.lua
--	
--	Autor: Ifko[nator]
--	Datum: 02.12.2017
--	
--	Usage:
--	
--	<extraSourceFiles>
--		<sourceFile filename="SearchMod.lua"/>
--	</extraSourceFiles>
--	
--	<l10n>
--		<text name="missingMod">
--			<de><![CDATA[[INFO von der SearchMod.lua]: Dir fehlt der Mod: 
--zipName! 
--Dieser Mod wird für die HofBergmann Map benötigt! 
--Ohne diesen Mod können einige Funktionen fehlerhaft oder garnicht ausgeführt werden!]]></de>
--			<en><![CDATA[[[INFO from the SearchMod.lua]: You're missing the mod:
--zipName! 
--This mod is needed for the HofBergmann Map! 
--Without this mod some functions can be faulty or not executed at all!]]></en>
--		</text>
--	</l10n>
--			
--	<searchMods>
--		<searchMod zipName="" />
--	</searchMods>



local SearchMod_directory = g_currentModDirectory;

SearchMod = {};

function SearchMod:loadMap(name)
	local modDesc = loadXMLFile("modDesc", SearchMod_directory .. "modDesc.xml");
	
	local numType = 0;
	
	self.missingMods = {};
	
	while true do
		local typeKey = "modDesc.searchMods.searchMod(" .. tostring(numType) ..")";
		
		if not hasXMLProperty(modDesc, typeKey) then
			break;
		end;
	
		local missingMod = {};
		
		missingMod.zipName = getXMLString(modDesc, typeKey .. "#zipName");
		
		if missingMod.zipName ~= nil and missingMod.zipName ~= "" then
			if not g_modNameToDirectory[missingMod.zipName] then
				missingMod.hasShowWarning = false;
				
				table.insert(self.missingMods, missingMod);
			end;
		end;
		
		numType = numType + 1;
	end;
end;

function SearchMod:update(dt)
	if self.missingMods ~= nil then
		for _, missingMod in pairs(self.missingMods) do
			if g_currentMission.blinkingWarning == nil then	
				if not missingMod.hasShowWarning then
					g_currentMission:showBlinkingWarning(string.gsub(g_i18n:getText("missingMod"), "zipName", missingMod.zipName), 120000);
					
					missingMod.hasShowWarning = true;
				end;
			end;
		end;
	end;
end;

function SearchMod:deleteMap()end;
function SearchMod:keyEvent(unicode, sym, modifier, isDown)end;
function SearchMod:mouseEvent(posX, posY, isDown, isUp, button)end;
function SearchMod:draw()end;

addModEventListener(SearchMod);